Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PHP7 API And Software Compatibility/Upgrade Notice

Comments in 'Plugin Development' started by MichaelM04, Feb 21, 2016.

  1. MichaelM04
    Offline

    MichaelM04 Active Member Plugin Developer

    Joined:
    Nov 12, 2015
    Posts:
    213
    Plugins:
    1
    Minecraft User:
    Michael
    LeYTi likes this.
  2. DeorcPE
    Offline

    DeorcPE New Member

    Joined:
    Nov 11, 2015
    Posts:
    12
    Minecraft User:
    Deorc
    Android Tutorial, I suck at this because I'm a noob
  3. MichaelM04
    Offline

    MichaelM04 Active Member Plugin Developer

    Joined:
    Nov 12, 2015
    Posts:
    213
    Plugins:
    1
    Minecraft User:
    Michael
    Due to the limits of PocketMine-MP android app you can't upgrade to php7 until they release a update to the app
  4. DeorcPE
    Offline

    DeorcPE New Member

    Joined:
    Nov 11, 2015
    Posts:
    12
    Minecraft User:
    Deorc
    unless somebody know how do go in the app's code and change it there? is that true?
  5. minebuilder0110
    Offline

    minebuilder0110 Notable Member

    Joined:
    Dec 8, 2014
    Posts:
    485
    Minecraft User:
    Apparitional
    Just a question, how fast is PHP7 compared to other programming languages such as Java and C? I didn't managed to find one. Though it may be obvious, I would like to know.
  6. MichaelM04
    Offline

    MichaelM04 Active Member Plugin Developer

    Joined:
    Nov 12, 2015
    Posts:
    213
    Plugins:
    1
    Minecraft User:
    Michael
    I believe there is some way but good luck finding someone
    I would just sit tight and wait
  7. DeorcPE
    Offline

    DeorcPE New Member

    Joined:
    Nov 11, 2015
    Posts:
    12
    Minecraft User:
    Deorc
    Ok, here is what I will do. I will move all my f****** things to a new server. Perfect!


    BRB prob 30 mins
  8. MichaelM04
    Offline

    MichaelM04 Active Member Plugin Developer

    Joined:
    Nov 12, 2015
    Posts:
    213
    Plugins:
    1
    Minecraft User:
    Michael
    Well you can't host a professional server on a android phone. A hoster or vps may be a good idea (and would run a lot smoother and work a lot better ;))
  9. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,294
    Plugins:
    11
    Minecraft User:
    PEMapModder
    Please don't get off-topic. This is talking about API 2.0.0, not PHP 7.
  10. Vaivez66
    Offline

    Vaivez66 Notable Member Plugin Developer

    Joined:
    Jun 10, 2015
    Posts:
    402
    Plugins:
    2
    What? Sorry for sayin' this, but no one 'cares' if you're online or not, since this is forums, not chatrooms...
    MichaelM04 and PEMapModder like this.
  11. LeYTi
    Offline

    LeYTi New Member

    Joined:
    Feb 15, 2016
    Posts:
    3
    Minecraft User:
    LeYTi
  12. MichaelM04
    Offline

    MichaelM04 Active Member Plugin Developer

    Joined:
    Nov 12, 2015
    Posts:
    213
    Plugins:
    1
    Minecraft User:
    Michael
  13. Tavinho
    Offline

    Tavinho New Member

    Joined:
    May 29, 2016
    Posts:
    10
    Minecraft User:
    Tavinho
    error> Could not load plugin 'iProtector': plugin exists
    [16:31:40] warning> Loading plugin 'PureChat' with incompatible API version (the plugin API is not compatible with ImagicalMine API version 2.0.0)
  14. BeynerGames127
    Offline

    BeynerGames127 New Member

    Joined:
    Feb 24, 2016
    Posts:
    22
    Minecraft User:
    Beyner127

    You Are Using A Third Party Of PocketMine
    In Your Console Says
    [16:31:34] system> ImagicalMine is a third-party build of PocketMine-MP, distributed under the LGPL licence

    We Cant Help You If You Are Using Third Party
    ImagicalMine Have His Own Forum You Can Ask There

    Btw, You Can Download The Last Version 0.14.3 Here:
    https://forums.pocketmine.net/threads/latest-phar-and-php-binaries.16037/
    TheDeibo likes this.
  15. BeynerGames127
    Offline

    BeynerGames127 New Member

    Joined:
    Feb 24, 2016
    Posts:
    22
    Minecraft User:
    Beyner127
    TheDeibo likes this.
  16. BeynerGames127
    Offline

    BeynerGames127 New Member

    Joined:
    Feb 24, 2016
    Posts:
    22
    Minecraft User:
    Beyner127
    TheDeibo likes this.
  17. BeynerGames127
    Offline

    BeynerGames127 New Member

    Joined:
    Feb 24, 2016
    Posts:
    22
    Minecraft User:
    Beyner127
    Tavinho and TheDeibo like this.
  18. TheDeibo
    Offline

    TheDeibo Notable Member Plugin Developer

    Joined:
    Sep 8, 2014
    Posts:
    692
    Plugins:
    1
    Minecraft User:
    TheDeibo
    Guys, I got to also point out that using a third party version of PocketMine and showing it's error here counts as advertising, hence is against the rules.

    Code:
    /me points towards the link below!
    https://forums.pocketmine.net/threads/rules-what-where-why.17238/

    Code:
    /me will also show you all a handy quote for lazy people. 
    Look in BOLD UNDERLINE for the example of rule-breaking done by asking help for a POCKETMINE FORK/THIRD PARTY VERSION OF POCKETMINE


    No posting anything that is defamatory, abusive, hateful, threatening, spam or spam-like(1), likely to offend, contains adult or objectionable content, contains personal information of others, risks copyright infringement, encourages unlawful activity, or otherwise violates any laws!


    Yes.... the rules are here. I bet no one knew that asking for help about a third party software is actually against the rules....
    Last edited: Jun 2, 2016
    BeynerGames127 likes this.

Share This Page

Advertisement